Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 25 Sep 2017, 13:15
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Need Qt5 for Slacko
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [20 Posts]   Goto page: Previous 1, 2
Author Message
belham2

Joined: 15 Aug 2016
Posts: 1029

PostPosted: Sat 20 May 2017, 04:42    Post subject:  

Thanks, Watchdog, Norgo & Peebee,

Giving them all a try right now, 64-bit, in the new Slacko 700b3 and Peebee's new LxPup64-17.05. Have got some stuff that needs qt5 to run, so hoping one will work.

Thanks again!
Back to top
View user's profile Send private message 
belham2

Joined: 15 Aug 2016
Posts: 1029

PostPosted: Sat 20 May 2017, 07:20    Post subject:  

{Update to above post}

Hi again,

Posting this for anyone else that might come across it: for things like QupZilla browser and other qt5-dependent stuff in Slacko 64. I tried all qt5 stuff from the the Slacko64 repos in Puppy (PPM). I even tried the ponce-slackware qt5-5.7.1 Peebee had found. Unfortunately, none of them would work in either Micko's new slacko-700b3 and/or Peebee's LxPup64-17.05 (based on slacko 700b3).

Then, I loaded Watchdog's 'qt5-with_webkit-5.6.1-x86_64-s14.2.sfs' and everything ran, especially QupZilla---which is a lifesaver browser on terrible sites like Yahoo, etc. Only qt5-dependent thing I cannot get to run is SFR's "Iqpuzzle" game that he recently uploaded (in .txz) to contrib-Fatdog packages (http://distro.ibiblio.org/fatdog/contrib/packages/710/----I can't even get this game to run in Fatdog64, so I am pretty sure now it isn't a qt5 problem.

Otherwise, all else ran in both slacko-700b3 & LxPup64-17.05 using Watchdog's sfs.

Thanks again, Watchdog Smile




P.S. Going to try Norgo's 32-bit qt5 later today, in the new 32-bit Slacko 700b3 and see if it works like Watchdog's. Will report back about it later.[/url]
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1425
Location: Italy

PostPosted: Sat 20 May 2017, 08:12    Post subject:  

I used the same modded alien2puppy script to build a qt5-with_webkit-5.6.1-x86-s14.2.sfs (32 bit) from packages downloaded by ppm in slacko 700 beta 3. It works for me.

qt5-with_webkit-5.6.1-x86-s14.2.sfs:

https://drive.google.com/file/d/0B9iMb4UZBeFkaDZtN3FFRUVfYnM/view?usp=sharing

qt5_DEV-with_webkit-5.6.1-x86-s14.2.sfs:

https://drive.google.com/file/d/0B9iMb4UZBeFkUFNHZlA0OFZnanM/view?usp=sharing


Code:
# md5sum qt5-with_webkit-5.6.1-x86-s14.2.sfs
1c2bc56716a4af2f03cde71e0cccb0b4  qt5-with_webkit-5.6.1-x86-s14.2.sfs



Code:
# md5sum qt5_DEV-with_webkit-5.6.1-x86-s14.2.sfs
79fa85b1be2c963ce72e4ead555808aa  qt5_DEV-with_webkit-5.6.1-x86-s14.2.sfs



As for the 64 bit version one lib is missing in the built sfs. It is libxcb-xinerama.so.0 (32 bit: it is not the same attached for 64 bit version: see few posts above). I copied it from centos and I attach it. Remove fake gz extension, rename it as libxcb-xinerama.so.0 and move it in /usr/lib.
libxcb-xinerama.so.0_32.gz
Description 
gz

 Download 
Filename  libxcb-xinerama.so.0_32.gz 
Filesize  7.43 KB 
Downloaded  25 Time(s) 
Back to top
View user's profile Send private message 
belham2

Joined: 15 Aug 2016
Posts: 1029

PostPosted: Sun 21 May 2017, 05:32    Post subject:  

watchdog wrote:
I used the same modded alien2puppy script to build a qt5-with_webkit-5.6.1-x86-s14.2.sfs (32 bit) from packages downloaded by ppm in slacko 700 beta 3. It works for me.

Code:
# md5sum qt5_DEV-with_webkit-5.6.1-x86-s14.2.sfs
79fa85b1be2c963ce72e4ead555808aa  qt5_DEV-with_webkit-5.6.1-x86-s14.2.sfs


As for the 64 bit version one lib is missing in the built sfs. It is libxcb-xinerama.so.0 (32 bit: it is not the same attached for 64 bit version: see few posts above). I copied it from centos and I attach it. Remove fake gz extension, rename it as libxcb-xinerama.so.0 and move it in /usr/lib.



Hi Watchdog or anyone,

I've been playing with your 32 and 64-bit qt5 sfs, thank you for doing them. Had different results in both 32 and 64 bit compiling attempts. First, I'll ask you about the 32-bit, then in another post, I'll ask about the 64-bit. Before I get started, please know the only puppy OS I am trying your SFSes is in Micko's latest Slacko 700b3 versions (and for the 64-bit, I also additionally tried them in Peebee's LxPup64-17.05---which is built on top of micko's Slacko64-700b3).

Ok, first up: your 32-bit sfs devx and webkit sfs files in Micko's recent Slacko32-700b3. I loaded both SFSes, and then I went to compile a simple game program called "iqpuzzle" (using qmake command since it has the .cpp files and a .pro file). Below is a picture of what the terminal is throwing back at me. Would you know what I need to do to make this compile work? The weird thing is, using your 64-bit SFSes in Micko's 64-bit Slacko-700b3, this "iqpuzzle" compiled quicky and easily. But in the 32-bit, this picture is what I am getting and I don't know how to solve it. I googled and read different things, tried a few things, but still qmake kept putting up the error in only slacko32 bit. (I ran "qmake -query" to see where things are, and they are exactly like in 64-bit, so I am confused what to do):


[UPDATE: Solved the compiling issue for 32-bit, had a corrupted OS install and/or savefile, so I re-installed Slacko32-6.9.6.7 (700b3) frugally, and everything worked in terms of your SFSes, Watchdog, and the compiling. Just unfortunately that iqpuzzle game won't start after it seems to have compiled properly. Oh well, I tried Smile ]
qmake-slacko32-700b3.png
 Description   
 Filesize   186.75 KB
 Viewed   136 Time(s)

qmake-slacko32-700b3.png

Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 1907
Location: 500 seconds from Sol

PostPosted: Mon 18 Sep 2017, 13:21    Post subject: Thanks Watchdog  

Hi Watchdog,

Thanks a lot for qt5-with_webkit-5.6.1-x86_64-s14.2.sfs.

mikesLr
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [20 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0370s ][ Queries: 13 (0.0034s) ][ GZIP on ]